Skip to main content
PATCH
/
v1
/
channel
Update Channel
curl --request PATCH \
  --url https://scx-sbx.api.jtl-software.com/v1/channel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mfaPin": "12345670",
  "displayName": "MyBestDeals.com",
  "currency": "EUR",
  "marketplaceList": [
    "DE"
  ],
  "website": "https://mybestdeals.de/sell-with-jtl",
  "mfaContact": "security@mybestdeals.de",
  "vendor": "JTL-Software",
  "signUpUrl": "https://mysqlbestdeals.com/signup-for-scx?session={SESSION}",
  "updateUrl": "https://mysqlbestdeals.com/signup-for-scx?session={SESSION}",
  "featureList": {
    "invoiceDocumentTransfer": "not-supported",
    "priceUpdatesSupported": false,
    "quantityPriceSupported": false,
    "remainingQuanitySupported": false,
    "variationsSupported": false,
    "returnTrackingRequired": false,
    "allowCombineOrders": false,
    "stockUpdateWithoutEventSupported": false
  },
  "minimumClientsVersionRequired": [
    {
      "type": "Wawi",
      "version": "1.11.0.3"
    }
  ]
}
'
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Body

application/json

Channel master data update payload (display name, currency, supported marketplaces, MFA PIN).

Channel master-data update payload — display name, currency, supported marketplaces, contact data and feature flags. Requires an MFA PIN.

mfaPin
string
required

Multi-Factor Authentication (MFA) PIN required for updating channel details. The PIN must be generated using the GET /v1/channel/mfa-pin endpoint and will be sent to the channel's mfaContact email address.

Example:

"12345670"

displayName
string

Channel Name

Example:

"MyBestDeals.com"

currency
string

Currency which are supported by the Channel. According to ISO-4217.

Example:

"EUR"

marketplaceList
string[]

Country ISO code or a list of ISO codes which geografic market is supported.

website
string<uri>
Example:

"https://mybestdeals.de/sell-with-jtl"

mfaContact
string<email> | null

Email address used for Multi-Factor Authentication (MFA). MFA PINs for channel updates will be sent to this email address.

Example:

"security@mybestdeals.de"

vendor
string
Example:

"JTL-Software"

signUpUrl
string

The SignUp URL ist required for register new Sellers with the SCX Channel API. SCX will create a Sign-Up ID to link a seller with SCX.

Example:

"https://mysqlbestdeals.com/signup-for-scx?session={SESSION}"

updateUrl
string

The Update URL ist required for updating a existing Sellers with the SCX Channel API. If this URL is not set it will use the signUpUrl as a fallback

Example:

"https://mysqlbestdeals.com/signup-for-scx?session={SESSION}"

featureList
object
minimumClientsVersionRequired
object[] | null

Must be a list of supported Clients. If at least one item is defined SCX will validate the Client version during sign up process. If the list is empty or null, no client restrictions is in place.

Response

Channel Updated